/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.inboxlistener.engine;



/**
 *
 * @version $Id: MSAccount.java,v 1.1 2006/02/15 13:21:44 gbmiglia Exp $
 */
public class MSAccount
{

   /** mail server info */
   private String  inHost;
   private String  outHost;
   private boolean isSSL;
   private int     port;
   /** polling time  */
   private int     interval = 0;

   /**
    *
    */
   public MSAccount(String inHost,
                    String outHost,
                    boolean isSSL,
                    int port,
                    int interval){
      this.inHost      = inHost;
      this.outHost     = outHost;
      this.isSSL       = isSSL;
      this.port        = port;
      this.interval    = interval;
   }

   /**
    *
    */
   public String getInHost(){
      return this.inHost;
   }

   /**
    *
    */
   public String getOutHost(){
      return this.outHost;
   }

   /**
    *
    */
   public boolean getIsSSL(){
      return this.isSSL;
   }

   /**
    *
    */
   public int getPort(){
      return this.port;
   }

   /**
    *
    */
   public int getInterval(){
      return this.interval;
   }

}
