/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.items.model;


/**
 *
 * @version $Id: SendResult.java,v 1.2 2006/02/06 09:02:33 gbmiglia Exp $
 */
public class SendResult
{

   private String  GUID   ;
   private String  LUID   ;
   private boolean isSent ;
   private boolean isPOP ;

   /**
    *
    *
    * @param GUID String
    * @param LUID String
    * @param isSent boolean
    * @param isPOP boolean
    */
   public SendResult(String GUID, String LUID, boolean isSent, boolean isPOP){
      this.GUID   = GUID;
      this.LUID   = LUID;
      this.isSent = isSent;
      this.isPOP  = isPOP;
   }

   /**
    *
    *
    * @return String
    */
   public String getGUID(){
      return this.GUID;
   }

   /**
    *
    *
    * @return String
    */
   public String getLUID(){
      return this.LUID;
   }

   /**
    *
    *
    * @return boolean
    */
   public boolean isSent(){
      return this.isSent;
   }

   /**
    *
    *
    * @return boolean
    */
   public boolean isPOP(){
      return this.isPOP;
   }

}
