/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.pdi.mail;


import com.funambol.foundation.pdi.common.Property;


/**
 * An object representing a email.
 * This class can be used to store and retrive all
 * information about email.
 *
 * @version $Id: EmailItem.java,v 1.2 2006/02/06 09:03:01 gbmiglia Exp $
 */
public class EmailItem {

    private Property stringRFC2822;


    /**
     * Creates an empty calendar
     */
    public EmailItem() {
        stringRFC2822   = new Property();
    }

    /**
     * Returns the header of this mail
     *
     * @return the header of this mail
     */
    public Property getStringRFC2822() {
        return stringRFC2822;
    }



    public String toString() {
        StringBuffer sb = new StringBuffer("");
        sb.append( this.getStringRFC2822().getPropertyValue() );
        return sb.toString();
    }


}
