--
-- Initialization data for the Email Connector module
--
-- @version $Id: create_schema.sql,v 1.3 2006/02/15 13:23:15 gbmiglia Exp $
--


create table fnbl_email_cache (
    id           VARCHAR(200) BINARY,
    source_uri   VARCHAR(128) BINARY,
    principal    VARCHAR(10)  BINARY,
    last_crc     BIGINT
);

create table fnbl_email_accounts (
    username     varchar(50)  BINARY not null,
    password     varchar(50)  BINARY not null,
    listener_id  varchar(20)  BINARY not null,
    activation   char         BINARY not null,

    constraint pk_account primary key (username, password, listener_id)
);

create table fnbl_email_listeners (
    listener_id  varchar(20)  BINARY not null,
    protocol     varchar(10)  BINARY not null,

    constraint pk_listener primary key (listener_id)

);


